bgpRouter
Configuration for bgpRouter resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| addressFamily | <String> | Read-write | Address family of the routes.
Possible values: ipv4, ipv6
|
| protocol | <String> | Read-write | The protocol from which routes need to be redistributed.
Possible values: kernel, connected, static, rip, ospf, isis, intranet
|
| routeMap | <String> | Read-write | Route map reference |
| localAS | <Integer> | Read-write | Autonomous system number.
Minimum value: 1
Maximum value: 4294967295
|
| ASOriginationInterval | <Integer> | Read-write | Minimum interval between sending AS-origination routing updates.
Minimum value: 1
Maximum value: 65535
|
| address | <String> | Read-write | The ipv4 or ipv6 address of the neighboring router. |
| advertisementInterval | <Integer> | Read-write | Minimum interval between sending BGP routing updates.
Minimum value: 0
Maximum value: 65535
|
| activate | <Boolean> | Read-write | Enable the Address Family for the neighbor. |
| addressFamily | <String> | Read-write | Address family identifier
Possible values: ipv4, ipv6
|
| direction | <String> | Read-write | Apply the route-map to incoming routes or outgoing routes.
Possible values: in, out
|
| name | <String> | Read-write | Name of the route-map. |
| connectTimer | <Integer> | Read-write | Time interval (in seconds) for the ConnectRetry timer.
Minimum value: 1
Maximum value: 65535
|
| holdTimer | <Integer> | Read-write | Holdtime for the neighbor. |
| holdTimerConfig | <Integer> | Read-write | Configured hold time for the neighbor.
Minimum value: 0
Maximum value: 65535
|
| keepaliveTimer | <Integer> | Read-write | Keepalive time for the neighbor. |
| keepaliveTimerConfig | <Integer> | Read-write | Configured keepalive time for the neighbor.
Minimum value: 0
Maximum value: 65535
|
| localAddress | <String> | Read-write | The local IP address of this entry's BGP connection. |
| localPort | <Integer> | Read-write | The local port of the TCP connection between the BGP peers. |
| md5Password | <String> | Read-write | MD5 password for the neighbor. |
| multihopBfd | <Boolean> | Read-write | Enable BFD for multihop session |
| remoteAS | <Integer> | Read-write | AS number of the neighbor.
Minimum value: 1
Maximum value: 4294967295
|
| remotePort | <Integer> | Read-write | The remote port of the TCP connection between the BGP peers. |
| singlehopBfd | <Boolean> | Read-write | Enable BFD on this neighbor |
| state | <String> | Read-write | The neighbor connection state. |
| tcpMSS | <Integer> | Read-write | TCP maximum segment size
Minimum value: 1
Maximum value: 65535
|
| updateSource | <String> | Read-write | Source of routing updates. |
| routerId | <String> | Read-write | The router identifier for the bgp routing instance. |
Operations
(click to see Properties )
- ADD
- SET
- UNSET
- DELETE
- GET
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/bgpRouter HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"bgpRouter" : {
"afParams" : {
"addressFamily" : <String>,
"redistribute" : {
"protocol" : <String>,
"routeMap" : <String>
}
},
<b>"localAS" : <Integer></b>,
"neighbor" : {
"ASOriginationInterval" : <Integer>,
"address" : <String>,
"advertisementInterval" : <Integer>,
"afParams" : {
"activate" : <Boolean>,
"addressFamily" : <String>,
"routeMap" : {
"direction" : <String>,
"name" : <String>
}
},
"connectTimer" : <Integer>,
"holdTimerConfig" : <Integer>,
"keepaliveTimerConfig" : <Integer>,
"md5Password" : <String>,
"multihopBfd" : <Boolean>,
"remoteAS" : <Integer>,
"singlehopBfd" : <Boolean>,
"tcpMSS" : <Integer>,
"updateSource" : <String>
},
"routerId" : <String>
}
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
set
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/bgpRouter HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"bgpRouter" : {
"afParams" : {
"addressFamily" : <String>,
"redistribute" : {
"protocol" : <String>,
"routeMap" : <String>
}
},
<b>"localAS" : <Integer></b>,
"neighbor" : {
"ASOriginationInterval" : <Integer>,
"address" : <String>,
"advertisementInterval" : <Integer>,
"afParams" : {
"activate" : <Boolean>,
"addressFamily" : <String>,
"routeMap" : {
"direction" : <String>,
"name" : <String>
}
},
"connectTimer" : <Integer>,
"holdTimerConfig" : <Integer>,
"keepaliveTimerConfig" : <Integer>,
"md5Password" : <String>,
"multihopBfd" : <Boolean>,
"remoteAS" : <Integer>,
"singlehopBfd" : <Boolean>,
"tcpMSS" : <Integer>,
"updateSource" : <String>
},
"routerId" : <String>
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
unset
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/bgpRouter HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"bgpRouter" : {
"afParams" : {
"addressFamily" : <String>,
"redistribute" : {
"protocol" : <String>,
"routeMap" : true
}
},
<b>"localAS" : <Integer></b>,
"neighbor" : {
"ASOriginationInterval" : true,
"address" : <String>,
"advertisementInterval" : true,
"afParams" : {
"activate" : true,
"addressFamily" : <String>,
"routeMap" : {
"direction" : <String>,
"name" : <String>
}
},
"connectTimer" : true,
"keepaliveTimerConfig" : true,
"md5Password" : true,
"multihopBfd" : true,
"remoteAS" : <Integer>,
"singlehopBfd" : true,
"tcpMSS" : true,
"updateSource" : true
},
"routerId" : true
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/bgpRouter?args=localAS:<Integer> HTTP Method: DELETE
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/bgpRouter Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/bgpRouter
Use this query-parameter to get bgpRouter resources based on additional properties.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Request Payload:
{"routerDynamicRouting" : {
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Payload:
{ "routerDynamicRouting": {
"bgpRouter" : [{
"afParams" : [{
"addressFamily" : <String>,
"redistribute" : [{
"protocol" : <String>,
"routeMap" : <String>
}]
}],
"localAS" : <Integer>,
"neighbor" : [{
"ASOriginationInterval" : <Integer>,
"address" : <String>,
"advertisementInterval" : <Integer>,
"afParams" : [{
"activate" : <Boolean>,
"addressFamily" : <String>,
"routeMap" : [{
"direction" : <String>,
"name" : <String>
}]
}],
"connectTimer" : <Integer>,
"holdTimer" : <Integer>,
"holdTimerConfig" : <Integer>,
"keepaliveTimer" : <Integer>,
"keepaliveTimerConfig" : <Integer>,
"localAddress" : <String>,
"localPort" : <Integer>,
"md5Password" : <String>,
"multihopBfd" : <Boolean>,
"remoteAS" : <Integer>,
"remotePort" : <Integer>,
"singlehopBfd" : <Boolean>,
"state" : <String>,
"tcpMSS" : <Integer>,
"updateSource" : <String>
}],
"routerId" : <String>
}]
}}